Index: pango/mini-fribidi/fribidi.c
--- pango/mini-fribidi/fribidi.c.orig	2004-03-02 01:59:01 +0100
+++ pango/mini-fribidi/fribidi.c	2004-12-17 09:08:59 +0100
@@ -455,7 +455,7 @@
   while (pp)
     {
       fprintf (stderr, "%d:l%d(%s)[%d] ",
-	       pp->pos, pp->len, fribidi_type_name (pp->type), pp->level);
+	       pp->pos, pp->len, _pango_fribidi_type_name (pp->type), pp->level);
       pp = pp->next;
     }
   fprintf (stderr, "\n");
Index: pango/mini-fribidi/fribidi_types.c
--- pango/mini-fribidi/fribidi_types.c.orig	2004-06-21 20:25:26 +0200
+++ pango/mini-fribidi/fribidi_types.c	2004-12-17 09:08:59 +0100
@@ -77,7 +77,7 @@
 };
 
 char *
-fribidi_type_name (FriBidiCharType c)
+_pango_fribidi_type_name (FriBidiCharType c)
 {
 #define _FRIBIDI_CASE(type)	case FRIBIDI_TYPE_##type: return #type
   switch (c)
Index: pango/mini-fribidi/fribidi_types.h
--- pango/mini-fribidi/fribidi_types.h.orig	2003-11-20 06:34:45 +0100
+++ pango/mini-fribidi/fribidi_types.h	2004-12-17 09:08:59 +0100
@@ -31,7 +31,7 @@
   typedef gint32 FriBidiMaskType;
   typedef FriBidiMaskType FriBidiCharType;
 
-  gchar *fribidi_type_name (FriBidiCharType c);
+  gchar *_pango_fribidi_type_name (FriBidiCharType c);
 
 /* The following type is used by fribidi_utils */
   typedef struct
Index: pango/Makefile.in
--- pango/Makefile.in.orig	2004-12-16 17:44:43 +0100
+++ pango/Makefile.in	2004-12-17 09:08:59 +0100
@@ -281,7 +281,7 @@
 
 BUILT_SOURCES = pango-enum-types.h pango-enum-types.c
 
-pangoincludedir = $(includedir)/pango-1.0/pango
+pangoincludedir = $(includedir)/pango-1.0
 
 @PLATFORM_WIN32_TRUE@no_undefined = -no-undefined
 
Index: examples/Makefile.in
--- examples/Makefile.in.orig	2004-12-16 17:44:40 +0100
+++ examples/Makefile.in	2004-12-17 09:08:59 +0100
@@ -263,6 +263,7 @@
 
 pangoft2topgm_LDADD = \
 	../pango/libpango-$(PANGO_API_VERSION).la	\
+	../pango/libpangox-$(PANGO_API_VERSION).la	\
 	../pango/libpangoft2-$(PANGO_API_VERSION).la	\
 	$(FREETYPE_LIBS)
 
Index: pango.pc.in
--- pango.pc.in.orig	2004-06-21 18:10:31 +0200
+++ pango.pc.in	2004-12-17 09:09:29 +0100
@@ -10,5 +10,5 @@
 Version: @VERSION@
 Requires: glib-2.0,gobject-2.0,gmodule-2.0
 Libs: -L${libdir} -lpango-@PANGO_API_VERSION@ @PKGCONFIG_MATH_LIBS@
-Cflags: -I${includedir}/pango-1.0
+Cflags: -I${includedir}/pango-1.0 -I${includedir}
 
Index: pangoft2.pc.in
--- pangoft2.pc.in.orig	2002-06-06 21:28:19 +0200
+++ pangoft2.pc.in	2004-12-17 09:08:59 +0100
@@ -8,5 +8,5 @@
 Version: @VERSION@
 Requires: pango
 Libs: -L${libdir} -lpangoft2-@PANGO_API_VERSION@ @PKGCONFIG_FREETYPE_LIBS@
-Cflags: -I${includedir}/pango-1.0 @FONTCONFIG_CFLAGS@ @FREETYPE_CFLAGS@
+Cflags: -I${includedir}/pango-1.0 -I${includedir} @FONTCONFIG_CFLAGS@ @FREETYPE_CFLAGS@
 
Index: pangox.pc.in
--- pangox.pc.in.orig	2002-03-05 18:20:57 +0100
+++ pangox.pc.in	2004-12-17 09:08:59 +0100
@@ -8,5 +8,5 @@
 Version: @VERSION@
 Requires: pango
 Libs: -L${libdir} -lpangox-@PANGO_API_VERSION@ @PKGCONFIG_X_LIBS@
-Cflags: -I${includedir}/pango-1.0 @X_CFLAGS@
+Cflags: -I${includedir}/pango-1.0 -I${includedir} @X_CFLAGS@
 
Index: pangoxft.pc.in
--- pangoxft.pc.in.orig	2002-06-04 18:14:16 +0200
+++ pangoxft.pc.in	2004-12-17 09:08:59 +0100
@@ -8,4 +6,4 @@
 Version: @VERSION@
 Requires: pango pangoft2
 Libs: -L${libdir} -lpangoxft-@PANGO_API_VERSION@ @PKGCONFIG_XFT_LIBS@
-Cflags: -I${includedir}/pango-1.0 @XFT_CFLAGS@
+Cflags: -I${includedir}/pango-1.0 -I${includedir} @XFT_CFLAGS@
Index: pango/opentype/Makefile.in
--- pango/opentype/Makefile.in.orig	2005-08-20 13:19:38 +0200
+++ pango/opentype/Makefile.in	2005-08-20 13:21:47 +0200
@@ -283,7 +283,6 @@
 libpango_ot_la_LIBADD = \
 	$(x_ldflags)	\
 	$(x_libs)	\
-	$(GLIB_LIBS)	\
 	-lm
 
 
Index: Makefile.in
--- Makefile.in.orig	2005-08-20 16:09:38 +0200
+++ Makefile.in	2005-08-20 16:13:38 +0200
@@ -252,7 +252,7 @@
 
 AUTOMAKE_OPTIONS = 1.7
 
-SUBDIRS = pango modules examples docs tools tests
+SUBDIRS = pango modules docs tools tests
 
 EXTRA_DIST = \
 	pango.pc.in		\
Index: querymodules.c
--- pango/querymodules.c.orig	2004-09-15 21:25:37.000000000 +0200
+++ pango/querymodules.c	2005-08-31 07:18:58.511568000 +0200
@@ -214,7 +214,6 @@
       path = pango_config_key_get ("Pango/ModulesPath");
       if (!path)
 	path = g_build_filename (pango_get_lib_subdirectory (),
-				 MODULE_VERSION,
 				 "modules",
 				 NULL);
 
